本文作者:阿豪

./configure: error: the HTTP rewrite module requires the PCRE library

阿豪 2020-03-19 264
./configure: error: the HTTP rewrite module requires the PCRE library摘要: 报错:./configure: error: the HTTP rewrite module requires the PCRE library我们需要单独安装nginx,来处理大...

报错:./configure: error: the HTTP rewrite module requires the PCRE library

我们需要单独安装nginx,来处理大量的下载请求。单独在Centos5安装nginx遇到的rewrite和HTTP cache错误解决办法:

# wget http://nginx.org/download/nginx-0.8.33.tar.gz

# tar -zxvf nginx-0.8.33.tar.gz 

# cd nginx-0.8.33

# ./configure --prefix=/usr/local/nginx

安装Nginx时报错

# ./configure: error: the HTTP rewrite module requires the PCRE library.

安装pcre-devel解决问题

yum -y install pcre-devel 

错误提示:./configure: error: the HTTP cache module requires md5 functions

from OpenSSL library.   You can either disable the module by using

--without-http-cache option, or install the OpenSSL library into the system,

or build the OpenSSL library statically from the source with nginx by using

--with-http_ssl_module --with-openssl=<path> options.

解决办法:

# yum -y install openssl openssl-devel

总结: 

# yum -y install pcre-devel openssl openssl-devel

# ./configure --prefix=/usr/local/nginx

# make 

# make install


文章版权及转载声明

作者:阿豪本文地址:https://www.ahaoyw.com/article/167.html发布于 2020-03-19
文章转载或复制请以超链接形式并注明出处阿豪运维

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏